Page 2 of 4 FirstFirst 1234 LastLast
Results 21 to 40 of 75
Like Tree5Likes
  1. #21  
    I tried to decipher some of those error messages above, unfortunately, up until I've had my Pre, never had much Linux experience, although I'm more than willing to try. Here is the error message I got when I tried to download the SpeechD (along with Navit):
    download
    % Total % Received % Xferd Average Speed Time Time Time Current
    96 1763k 96 1698k 0 0 245k 0 0:00:07 0:00:06 0:00:01 287k
    100 1763k 100 1763k 0 0 246k 0 0:00:07 0:00:07 --:--:-- 242k
    identify
    org.webosinternals.speechd
    failed
    -1: Unable to run command: /usr/bin/luna-send -n 6 luna://com.palm.appinstaller/installNoVerify '{"subscribe":true, "target": "/media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk", "uncompressedSize": 0}' 2>&1
    ** Message: serviceResponse Handling: 2, {"returnValue":true , "ticket":1, "subscribed":true}
    ** Message: serviceResponse Handling: 2, { "ticket":1 , "status":"STARTING" }
    ** Message: serviceResponse Handling: 2, { "ticket":1 , "status":"CREATE_TMP" }
    ** Message: serviceResponse Handling: 2, { "ticket":1 , "status":"VERIFYING" }
    ** Message: serviceResponse Handling: 2, { "ticket":1 , "status":"IPKG_INSTALL" }
    download
    % Total % Received % Xferd Average Speed Time Time Time Current
    97 1763k 97 1719k 0 0 301k 0 0:00:05 0:00:05 --:--:-- 365k
    100 1763k 100 1763k 0 0 305k 0 0:00:05 0:00:05 --:--:-- 427k
    identify
    org.webosinternals.speechd
    failed
    -1: Unable to run command: /usr/bin/luna-send -n 6 luna://com.palm.appinstaller/installNoVerify '{"subscribe":true, "target": "/media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk", "uncompressedSize": 0}' 2>&1
    ** Message: serviceResponse Handling: 2, {"returnValue":true , "ticket":2, "subscribed":true}
    ** Message: serviceResponse Handling: 2, { "ticket":2 , "status":"STARTING" }
    ** Message: serviceResponse Handling: 2, { "ticket":2 , "status":"CREATE_TMP" }
    ** Message: serviceResponse Handling: 2, { "ticket":2 , "status":"VERIFYING" }
    ** Message: serviceResponse Handling: 2, { "ticket":2 , "status":"IPKG_INSTALL" }

    I did see some fixes above, but not sure if my error is the same, and therefore unsure if that's my fix or not.
  2. #22  
    Hi, is it possible to creata a patch to announce the name of an incomming caller as mentioned in this topic? Somebody working on it?
    Thx for reply
  3. hape's Avatar
    Posts
    556 Posts
    Global Posts
    578 Global Posts
    #23  
    Quote Originally Posted by tr47 View Post
    Hi, is it possible to creata a patch to announce the name of an incomming caller as mentioned in this topic? Somebody working on it?
    Thx for reply
    Currently the speechd service can not be accessed from Javascript. The plan is to make this possible.
    The patch should be not that hard when this part is done.

    HaPe
  4. #24  
    hi, I'm trying to install Navit/Speech dispatcher, but speech dispatcher keeps coming up with errors.

    -1: Unable to run command: /usr/bin/ipkg -o /media/cryptofs/apps -force-overwrite install /media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk 2>&1
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    An error ocurred, return value: 1.
    Collected errors:
    ERROR: Cannot satisfy the following dependencies for org.webosinternals.speechd:
    org.webosinternals.locale

    what can I do?
  5.    #25  
    Quote Originally Posted by jackspsych07 View Post
    hi, I'm trying to install Navit/Speech dispatcher, but speech dispatcher keeps coming up with errors.

    -1: Unable to run command: /usr/bin/ipkg -o /media/cryptofs/apps -force-overwrite install /media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk 2>&1
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    Begin installation of org.webosinternals.speechd
    Installing org.webosinternals.speechd (0.7.1-1) to root...
    An error ocurred, return value: 1.
    Collected errors:
    ERROR: Cannot satisfy the following dependencies for org.webosinternals.speechd:
    org.webosinternals.locale

    what can I do?
    Use Preware to install it, rather than what you are currently using.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  6. #26  
    Quote Originally Posted by rwhitby View Post
    Use Preware to install it, rather than what you are currently using.

    -- Rod
    I am using Preware. I only use preware to install homebrew apps
  7.    #27  
    Quote Originally Posted by jackspsych07 View Post
    I am using Preware. I only use preware to install homebrew apps
    Are you running Preware 1.2.7, and do you have the "Fix webOS Bugs" preference set to Yes?

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  8. #28  
    Now all we need is a patch for the e-mail and messaging apps so we can have our texts and e-mails read to us.
    Palm Vx -> Treo 600 -> Treo 700p -> Centro -> Pre (Launch Phone 06/06/09) -> AT&T Pre Plus with Sprint EVDO swap -> Samsung Epic 4G w/ Froyo
  9. hape's Avatar
    Posts
    556 Posts
    Global Posts
    578 Global Posts
    #29  
    Quote Originally Posted by NickDG View Post
    Now all we need is a patch for the e-mail and messaging apps so we can have our texts and e-mails read to us.
    We need one thing more first, a Javascript service in speechd!
    I know that noradtux started to work on it, but I have know idea if he is still on it.

    HaPe
  10. #30  
    Quote Originally Posted by HaPe View Post
    We need one thing more first, a Javascript service in speechd!
    I know that noradtux started to work on it, but I have know idea if he is still on it.

    HaPe
    Well, as far as I understand the source the mainloop needs to be replaced by the glib mainloop before we can even start to implement a service interface. A lack of time and motivation prevented that to happen
  11. #31  
    Getting a similar error

    Code:
    download
    % Total % Received % Xferd Average Speed Time Time Time Current
    99 1763k 99 1748k 0 0 178k 0 0:00:09 0:00:09 --:--:-- 156k
    100 1763k 100 1763k 0 0 179k 0 0:00:09 0:00:09 --:--:-- 151k
    identify
    org.webosinternals.speechd
    failed
    -1: Unable to run command: /usr/bin/luna-send -n 6 luna://com.palm.appinstaller/installNoVerify '{"subscribe":true, "target": "/media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk", "uncompressedSize": 0}' 2>&1
    ** Message: serviceResponse Handling: 2, {"returnValue":true , "ticket":4, "subscribed":true}
    ** Message: serviceResponse Handling: 2, { "ticket":4 , "status":"STARTING" }
    ** Message: serviceResponse Handling: 2, { "ticket":4 , "status":"CREATE_TMP" }
    ** Message: serviceResponse Handling: 2, { "ticket":4 , "status":"VERIFYING" }
    ** Message: serviceResponse Handling: 2, { "ticket":4 , "status":"IPKG_INSTALL" }
    Installing via preware 1.2.7 with fix webos bugs On.
  12. #32  
    Quote Originally Posted by rwhitby View Post
    Are you running Preware 1.2.7, and do you have the "Fix webOS Bugs" preference set to Yes?

    -- Rod
    I don't see a "fix webos bugs" option, but I do see an "avoid webos bugs" option
  13.    #33  
    Quote Originally Posted by jackspsych07 View Post
    I don't see a "fix webos bugs" option, but I do see an "avoid webos bugs" option
    Yep, that's the one.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  14. #34  
    Quote Originally Posted by rwhitby View Post
    Are you running Preware 1.2.7, and do you have the "Fix webOS Bugs" preference set to Yes?

    -- Rod
    well, I turned on the "avoid webos bugs" and now I'm getting the same error the guy above me is

    Failed
    -1: Unable to run command: /usr/bin/luna-send -n 6 luna://com.palm.appinstaller/installNoVerify '{"subscribe":true, "target": "/media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk", "uncompressedSize": 0}' 2>&1
    ** Message: serviceResponse Handling: 2, {"returnValue":true , "ticket":8, "subscribed":true}
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"STARTING" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"CREATE_TMP" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"VERIFYING" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"IPKG_INSTALL" }
  15.    #35  
    Quote Originally Posted by jackspsych07 View Post
    well, I turned on the "avoid webos bugs" and now I'm getting the same error the guy above me is

    Failed
    -1: Unable to run command: /usr/bin/luna-send -n 6 luna://com.palm.appinstaller/installNoVerify '{"subscribe":true, "target": "/media/internal/.developer/org.webosinternals.speechd_0.7.1-1_arm.ipk", "uncompressedSize": 0}' 2>&1
    ** Message: serviceResponse Handling: 2, {"returnValue":true , "ticket":8, "subscribed":true}
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"STARTING" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"CREATE_TMP" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"VERIFYING" }
    ** Message: serviceResponse Handling: 2, { "ticket":8 , "status":"IPKG_INSTALL" }
    You're somehow missing the locale package.

    If you had "avoid WebOS bugs" turned off, then I suspect you've made other changes to the default Preware installation. I advise you to swipe to delete all feeds, uninstall Preware, then reinstall Preware and don't change the default settings. Then try again.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  16. #36  
    Quote Originally Posted by rwhitby View Post
    You're somehow missing the locale package.

    If you had "avoid WebOS bugs" turned off, then I suspect you've made other changes to the default Preware installation. I advise you to swipe to delete all feeds, uninstall Preware, then reinstall Preware and don't change the default settings. Then try again.

    -- Rod
    Had the same problem, and indeed the locale package was missing. This package is in the testing-all feed, so make sure you've add this feed as well.

    It looks like it's a bug in preware that it doesn't alert you about a missing required dependency if it doesn't have that package in the current feeds.
  17.    #37  
    Quote Originally Posted by assaf View Post
    Had the same problem, and indeed the locale package was missing. This package is in the testing-all feed, so make sure you've add this feed as well.

    It looks like it's a bug in preware that it doesn't alert you about a missing required dependency if it doesn't have that package in the current feeds.
    Well, it alerts you, but it's not a very convenient error message

    It's on the list to be improved. Any Mojo developers want to help?

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  18. #38  
    Quote Originally Posted by rwhitby View Post
    Well, it alerts you, but it's not a very convenient error message
    In second thought, compared to "ORA-012345" or your good ol' BSOD, it's actually pretty friendly
  19. acidhax's Avatar
    Posts
    150 Posts
    Global Posts
    156 Global Posts
    #39  
    Quote Originally Posted by assaf View Post
    In second thought, compared to "ORA-012345" or your good ol' BSOD, it's actually pretty friendly
    You just gave me shivers. Ora...*shiver*
  20. #40  
    Can app be hidden after a Luna Restart since at the moment there's no front-end? Just a suggestion.
Page 2 of 4 FirstFirst 1234 LastLast

Posting Permissions